import { Component, input } from '@angular/core';
import { SvgComponent } from '../../atoms/svg/svg.component';

@Component({
  selector: 'mw-circled-icon',
  standalone: true,
  imports: [SvgComponent],
  templateUrl: './circled-icon.component.html',
  styleUrl: './circled-icon.component.css'
})
export class CircledIconComponent {
  /**
   * @description Circle background color
   */
  backgroundColor = input("#fff");
  /**
   * @description Icon color
   */
  color = input("#000000");
  /**
   * @description Icon name
   */
  symbol = input("");
}
